What's new

Unlocking iPhone 4 (4.0.2)

kcorrie4

New Member
Joined
Oct 17, 2010
Messages
7
Reaction score
0
Hello,

I'm a novice to this and after searching Google for conflicting and unhelpful sites I've finally turned to a forum so that perhaps someone with more knowledge could lend a hand.

A search for "unlock 4.0.2" yielded no results so here we go.

The iPhone 4 that I have is from Spain and as such it was locked to a carrier called 'MoviStar 7.0' with the model number 'MC603Y.'

It's current version is '4.0.2 (8A499)' with the modem firmware '01.59.00'

The version of iTunes I have currently is '10.0.1.22'

My Objective: To unlock this phone for use in the United States.

-------------------------

As I said before, I'm a novice and have been going a route to try and solve this on my own. During the process I have jailbroken the phone with 'limera1n' and 'Cydia' is installed. At first I thought this to be an accomplishment of my goal.

I continue to read and am under the impression that 4.0.2 currently can not be unlocked. This of course leads to more research and some sites saying it is possible to revert from 4.0.2 to 4.0.1 in order to unlock this phone.

-------------------------

So again... Can anyone please tell me what it is I need to do to unlock this phone? I've already downloaded the 4.0.1.ispw that I believe I need to restore. However, when I tried this method I had an error.
 
OP
K

kcorrie4

New Member
Joined
Oct 17, 2010
Messages
7
Reaction score
0
Thank you for your reply.

I followed the instructions and now under installed packages I do indeed have ultrasn0w 1.1-1 listed as an installed device.

Does this mean the phone is now unlocked? Because under the carrier 'MoviStar' is still listed. Perhaps it doesn't change but I assumed it would have.

Can you anyone please provide some insight?
 

DannyBoy

New Member
Joined
Jun 17, 2010
Messages
2,733
Reaction score
25
Location
Lubbock, TX
Thank you for your reply.

I followed the instructions and now under installed packages I do indeed have ultrasn0w 1.1-1 listed as an installed device.

Does this mean the phone is now unlocked? Because under the carrier 'MoviStar' is still listed. Perhaps it doesn't change but I assumed it would have.

Can you anyone please provide some insight?

Yes, you need ultrasn0w installed and make sure your still on the old 1.59 baseband and it should work.
 
OP
K

kcorrie4

New Member
Joined
Oct 17, 2010
Messages
7
Reaction score
0
Hello again,

When I go to Cydia >> Manage >> Packages ... It lists 'ultrasn0w' as being an installed device. Is it safe to assume it was installed properly then?

When I go to Settings >> General >> About ... The version is '4.0.2', the firmware is still '01.59.00', but the carrier is still listed as 'movistar 7.0'.

My question is: Does the carrier name not change even after you install ultrasn0w?

My assumption was that it would read something like 'Unlocked' or whatever. Perhaps someone could clear this up.

I suppose also the only way to test this for sure would to find some microsim some place and put it in.
 

Gregoris

Administrator
Staff member
Joined
Jun 15, 2010
Messages
11,966
Reaction score
617
Location
United Kingdom
no it does not change, it just means when you put another sim in it will work, nothing changes no visual changes any way
 

chaturajayatilake

New Member
Joined
Oct 16, 2010
Messages
2
Reaction score
0
hi
this is my first post,i have mistakenly updated to 4.1 now i cant use my sim the phone is jail broken but not carrier unlocked.is any one have solution for this pls.i have tryed ultrasn0w but its not a help for me.
thanks
 
OP
K

kcorrie4

New Member
Joined
Oct 17, 2010
Messages
7
Reaction score
0
DannyBoy,

From my readings I thought going to 4.1 would be the last thing I wanted to do?

Are you saying this is an essential step before the phone will work unlocked? Can I not just leave it at 4.0.2?

Or now that I have ultrasn0w installed it is safe to update to 4.1 through iTunes?

Specifics my friend. :) I'm a dumbass.
 

DannyBoy

New Member
Joined
Jun 17, 2010
Messages
2,733
Reaction score
25
Location
Lubbock, TX
I'm just stating what I have read and seen work. I don't need an unlock so I'm not sure if you can get it working on 4.0.2. Just know it does on 4.1 with the 1.59 BB.
 

Gregoris

Administrator
Staff member
Joined
Jun 15, 2010
Messages
11,966
Reaction score
617
Location
United Kingdom
DannyBoy,

From my readings I thought going to 4.1 would be the last thing I wanted to do?

Are you saying this is an essential step before the phone will work unlocked? Can I not just leave it at 4.0.2?

Or now that I have ultrasn0w installed it is safe to update to 4.1 through iTunes?

Specifics my friend. :) I'm a dumbass.

dont upgrade officially from itunes though, if you upgrade with out following steps to keep the 4.0.2 baseband you screwed until a new unlock is released, there are tutorials how to upgrade to 4.1 while keeping the same baseband or you can just stay with 4.0.2 and unlock it..

i dont use unlock either as mine is factory unlocked but if you have to upgrade join iClarified - Apple News and Tutorials for tutorials on how to upgrade to 4.1 while keeping 4.0.2 baseband.
 

Gregoris

Administrator
Staff member
Joined
Jun 15, 2010
Messages
11,966
Reaction score
617
Location
United Kingdom
yes its wirked firne befor after i got the new firmware its locked again

did you officially upgrade through itunes? or did you read some tutorial to preserve the baseband? because if you just upgraded with itunes then you lost your unlock, all you can do is jailbreak it and use it as an ipod until there is a unlock for 4.1.. which there is meant to be a new pwnage tool today i dont know if that will unlock
 
OP
K

kcorrie4

New Member
Joined
Oct 17, 2010
Messages
7
Reaction score
0
I was under the impression though that once yo updated to 4.1 it changed the base band for good.

Can anyone confirm?
 

Most reactions

Latest posts

Top